Bug 21075

Summary: [M54] very bad display corruption
Product: xorg Reporter: Udo Rader <udo.rader>
Component: Driver/radeonhdAssignee: Luc Verhaegen <lverhaegen>
Status: RESOLVED WONTFIX QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: x86-64 (AMD64)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
Xorg.0.log
none
xrandr -q output
none
xrandr -q verbose output
none
screenshots with some corruption none

Description Udo Rader 2009-04-06 15:00:10 UTC
When using the radeonhd driver configured for two monitors but only one present (or in other words a laptop without its external monitor connected), switching throught virtual desktops makes application windows more and more corrupted the longer the box runs, see the attached screenshot for a mild example. This happens both for already open and newly opened windows. 

Switching to the console and back to X does not help.

The relevant parts of my xorg.conf look like this:

------CUT------

Section "Monitor"
    Identifier "LCD"
    Option "DPMS"
EndSection

Section "Monitor"
    Identifier "ExtDVI"
    VendorName "Hanns.G"
    ModelName "Hanns.G HG221D"
    Option "LeftOf" "LCD"
    Option "DPMS"
EndSection

Section "Device"
    Identifier "device0"
    VendorName "ATI"
    Driver "radeonhd"

    Option "DPMS"
    Option "AccelMethod" "EXA"
    Option "monitor-PANEL" "LCD"
    Option "RROutputOrder" "LVDS"
    Option "DRI" "true"
    Option "monitor-DVI-D_1" "ExtDVI"
EndSection

Section "Screen"
    Identifier "screen0"
    Device "device0"
    Monitor "LCD"
    DefaultColorDepth 24

    Subsection "Display"
        Depth 24
    EndSubsection
EndSection

Section "Screen"
    Identifier "screen1"
    Device "device0"
    Monitor "ExtDVI"
    DefaultDepth 24

    Subsection "Display"
        Depth 24
    EndSubsection
EndSection

Section "ServerLayout"
    Identifier "layout1"
    InputDevice "Keyboard1" "CoreKeyboard"
    InputDevice "Mouse1" "CorePointer"
    InputDevice "SynapticsMouse1" "SendCoreEvents"
    Screen 0 "screen1"
    Screen 1 "screen0" RightOf "screen1"
EndSection
------CUT------

My Xorg.0.log will follow immediately.
Comment 1 Udo Rader 2009-04-06 15:11:25 UTC
Created attachment 24615 [details]
Xorg.0.log
Comment 2 Udo Rader 2009-04-06 15:12:45 UTC
Created attachment 24616 [details]
xrandr -q output
Comment 3 Udo Rader 2009-04-06 15:13:25 UTC
Created attachment 24617 [details]
xrandr -q verbose output
Comment 4 Udo Rader 2009-04-06 15:15:10 UTC
Created attachment 24618 [details]
screenshots with some corruption
Comment 5 Matthias Hopf 2009-04-08 06:32:31 UTC
Looks like pixmap corruptions.

Can you verify whether this is acceleration code related?

E.g. try

  Option "AccelMethod" "none"
  Option "AccelMethod" "shadowfb"
  Option "AccelMethod" "exa"
  Option "AccelMethod" "xaa"

and test on which of these options the corruption occurs.
Comment 6 Jeremy Huddleston Sequoia 2011-10-16 15:59:35 UTC
Does this issue occur with the preferred ati driver (xf86-vide-ati)?  If so, please move this to the Driver/Radeon component.  

Development of radeonhd has pretty much halted and development focus is on the ati driver.  Please see http://www.x.org/wiki/radeonhd

If the issue does not exist in the ati driver (or if there is no response to this message), this bug will be closed as WONTFIX unless someone contributes a patch.
Comment 7 Jeremy Huddleston Sequoia 2011-11-07 15:34:42 UTC
Closing due to lack of response.  Please reopen and move to the Driver/Radeon 
component if this issue persists with xf86-video-ati

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.